local ceil = math.ceil
local box, area
local areas = {}

local log = {}

for _,v in pairs(data.raw) do
	for _,proto in pairs(v) do
		box = proto.collision_box
		if box then
			area = (box[1][1]-box[2][1])*(box[1][2]-box[2][2])
			if area < 0 then area = -area end
			areas[proto.name] = area
		end
	end
end

for _,v in pairs(data.raw) do
	for _,proto in pairs(v) do
		box = proto.place_result
		if box and areas[box] then
			area = ceil(20/areas[box])
			if area > 2 then area = area - (area % 2) end
			area = area * 5
			if proto.stack_size > area then
				table.insert(log,proto.name.." adjusted from "..proto.stack_size.." to "..area)
				proto.stack_size = area
			end
		end
	end
end

--error(table.concat(log,"\n")) --http://pastebin.com/xKhfXP5Z
